package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hgw
 * Created by 2021-12-09
 */
@ApiModel(value = "分页查询机构信息")
public class TenantInfoInfoPageVo implements Serializable {
    //机构基础信息
    @ApiModelProperty(value = "机构id")
    private Integer id;

    @ApiModelProperty(value = "机构名称")
    private String name;

    @ApiModelProperty(value = "机构联系人")
    private String contacts;

    @ApiModelProperty(value = "机构联系人电话")
    private String phone;

    @ApiModelProperty(value = "缴费状态 0未缴费  1已缴费")
    private Integer payState;

    @ApiModelProperty(value = "状态0 草稿 1启动 2停用")
    private Integer state;

    @ApiModelProperty(value = "创建人名称")
    private String createdName;

    //机构产品信息
    @ApiModelProperty(value = "服务名称")
    private String serveName;

    @ApiModelProperty(value = "学员上限")
    private Integer studentUpLimit;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "到期时间")
    private Date expireDate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getPayState() {
        return payState;
    }

    public void setPayState(Integer payState) {
        this.payState = payState;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public Integer getStudentUpLimit() {
        return studentUpLimit;
    }

    public void setStudentUpLimit(Integer studentUpLimit) {
        this.studentUpLimit = studentUpLimit;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public String getCreatedName() {
        return createdName;
    }

    public void setCreatedName(String createdName) {
        this.createdName = createdName;
    }
}
