package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantInfoDto;
import com.ym.mec.biz.dal.entity.TenantInfo;
import com.ym.mec.biz.dal.vo.TenantInfoInfoPageVo;
import com.ym.mec.common.page.PageInfo;

import java.util.Map;

public interface TenantInfoService extends IService<TenantInfo> {

    void addTenantInfo(TenantInfoDto dto);

    void updateTenantInfo(TenantInfoDto dto);

    TenantInfoDto queryTenantInfo(Integer tenantId);

    void opsTenantState(Integer id, Integer state);

    PageInfo<TenantInfoInfoPageVo> queryPage(Map<String, Object> param);

}