package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.TenantProductInfoDao;
import com.ym.mec.biz.dal.dto.TenantProductInfoDto;
import com.ym.mec.biz.dal.entity.TenantProductInfo;
import com.ym.mec.biz.service.TenantProductInfoService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
 * @author hgw
 * Created by 2021-12-02
 */
@Service
public class TenantProductInfoServiceImpl extends ServiceImpl<TenantProductInfoDao, TenantProductInfo> implements TenantProductInfoService {

    /**
     * 添加机构选购的产品信息
     */
    @Override
    public void addTenantProduct(TenantProductInfoDto dto) {
        TenantProductInfo info = new TenantProductInfo();
        BeanUtils.copyProperties(dto, info);
        baseMapper.insert(info);
    }

    @Override
    public void updateTenantProduct(TenantProductInfoDto dto) {
        TenantProductInfo info = new TenantProductInfo();
        BeanUtils.copyProperties(dto, info);
        baseMapper.updateById(info);
    }


}
